Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider.gzip
Class GzipFileProvider

    java.lang.Object
      org.apache.commons.vfs.provider.AbstractVfsComponent
          org.apache.commons.vfs.provider.AbstractVfsContainer
              org.apache.commons.vfs.provider.AbstractFileProvider
                  org.apache.commons.vfs.provider.AbstractLayeredFileProvider
                      org.apache.commons.vfs.provider.compressed.CompressedFileFileProvider
                          org.apache.commons.vfs.provider.gzip.GzipFileProvider

All Implemented Interfaces:
  FileProvider, VfsComponent

public class GzipFileProvider
extends CompressedFileFileProvider

Provides access to the content of gzip compressed files

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Mario Ivankovits

Field Summary
`protected static Collection` | `capabilities`

Constructor Summary
`GzipFileProvider()`

Method Summary
`protected FileSystem` | `createFileSystem(FileName name, FileObject file, FileSystemOptions fileSystemOptions)`
`Collection` | `getCapabilities()` Get the filesystem capabilities.

Methods inherited from class org.apache.commons.vfs.provider.compressed.CompressedFileFileProvider
`doCreateFileSystem`

Methods inherited from class org.apache.commons.vfs.provider.AbstractLayeredFileProvider
`createFileSystem, findFile`

Methods inherited from class org.apache.commons.vfs.provider.AbstractFileProvider
`addFileSystem, close, closeFileSystem, findFileSystem, freeUnusedResources, getConfigBuilder, getFileNameParser, parseUri, setFileNameParser`

Methods inherited from class org.apache.commons.vfs.provider.AbstractVfsContainer
`addComponent, removeComponent`

Methods inherited from class org.apache.commons.vfs.provider.AbstractVfsComponent
`getContext, getLogger, init, setContext, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.vfs.provider.FileProvider
`createFileSystem, findFile, getConfigBuilder, parseUri`

Field Detail

### capabilities

    protected static final Collection capabilities

Constructor Detail

### GzipFileProvider

    public GzipFileProvider()

Method Detail

### createFileSystem

    protected FileSystem createFileSystem(FileName name,
                                          FileObject file,
                                          FileSystemOptions fileSystemOptions)
                                   throws FileSystemException

  Specified by:
    `createFileSystem` in class `CompressedFileFileProvider`
  Throws:
    `FileSystemException`

### getCapabilities

    public Collection getCapabilities()

  Description copied from interface: `FileProvider`
  Get the filesystem capabilities.
  These are the same as on the filesystem, but available before the first filesystem was instanciated.

  Specified by:
    `getCapabilities` in interface `FileProvider`
  Specified by:
    `getCapabilities` in class `CompressedFileFileProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.